sc::Int2eCCA Class Reference

Int2eCCA adapts CCA integrals components for use within SC. More...

`#include <int2e.h>`

Inheritance diagram for sc::Int2eCCA:
[legend]
Collaboration diagram for sc::Int2eCCA:
[legend]

## Public Member Functions

| Int2eCCA (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, int order, size_t storage, IntegralEvaluatorFactory, bool, string)
double * | buffer ()
void | compute_erep (int is, int js, int ks, int ls)
void | compute_erep_1der (int is, int js, int ks, int ls, Chemistry::QC::GaussianBasis::DerivCenters &dc)
int | redundant () const
void | set_redundant (int i)
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes

Integral * | integral_

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

Int2eCCA adapts CCA integrals components for use within SC.

It is used by TwoBodyIntCCA and TwoBodyDerivIntCCA to implement the IntegralCCA class.

The documentation for this class was generated from the following file:

- intcca/int2e.h